Update Defined Entity

Update Defined Entity
Updates the defined entity with the unique identifier (URN)

Update the defined entity with the unique identifier (URN). This operation can also be used to upgrade/downgrade the entity to a different version of the defined entity type it is an instance of by setting the "entityType" property.

The update operation may change the entityState of the Defined Entity. If the entity's entityState is:

  • PRE_CREATED before the update - the entity will remain in PRE_CREATED entityState after the update
  • RESOLUTION_ERROR before the update - the entity will move to PRE_CREATED entityState after the update
  • IN_DELETION before the update - the entity will remain in IN_DELETION entityState after the update
  • RESOLVED before the update - the update operation will try to validate the entity content (value after the update) against the entity type's schema (value after the update). If validation is successful the entity will remain in RESOLVED state. Otherwise, the entity will move to RESOLUTION_ERROR entityState and the operation will fail with exception.
Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/entities/{id}
COPY
Path Parameters
string
id
Required

id

Query Parameters
string
invokeHooks
Optional

Only users with Admin FullControl access to the Entity Type can pass this parameter. The default value is 'true'.


Request Body
DefinedEntity of type(s) application/json
Optional

Show optional properties

{
    "name": "vspheresddc1",
    "entity": {}
}
{
    "id": "urn:vcloud:entity:vmware.vspheresddc:1.0.0:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "entityType": "urn:vcloud:type:vmware.vspheresddc:1.0.0",
    "name": "vspheresddc1",
    "externalId": "123",
    "entity": {
        "entity": {}
    },
    "state": "string",
    "entityState": "string",
    "creationDate": "string",
    "lastModificationDate": "string",
    "owner": {
        "name": "string",
        "id": "string"
    },
    "org": {
        "name": "string",
        "id": "string"
    }
}
Authentication
This operation uses the following authentication methods.
Responses
200

Ok

Returns DefinedEntity of type(s) application/json;version=9.1.0
{
    "id": "urn:vcloud:entity:vmware.vspheresddc:1.0.0:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "entityType": "urn:vcloud:type:vmware.vspheresddc:1.0.0",
    "name": "vspheresddc1",
    "externalId": "123",
    "entity": {
        "entity": {}
    },
    "state": "string",
    "entityState": "string",
    "creationDate": "string",
    "lastModificationDate": "string",
    "owner": {
        "name": "string",
        "id": "string"
    },
    "org": {
        "name": "string",
        "id": "string"
    }
}

202

The request have been accepted and the task to monitor the request is in the Location header.

Operation doesn't return any data structure

400

Invalid configuration.

Returns Error of type(s) application/json;version=9.1.0
{
    "minorErrorCode": "string",
    "message": "string",
    "stackTrace": "string"
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"}]
                
Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"entity":"object","name":"string"}' https://{api_host}/cloudapi/1.0.0/entities/{id}